/*! 
    \file cd_engine.h
    \brief Definition of the collision detection engine
    
*/

#ifndef _CD_ENGINE_H
#define _CD_ENGINE_H

#include "base_object.h"


//! The class representing the collision detection system of orxonox
class CDEngine : public BaseObject {

 public:
  static CDEngine* getInstance(void);
  virtual ~CDEngine(void);

 private:
  CDEngine(void);
  static CDEngine* singletonRef;
};

#endif /* _CD_ENGINE_H */
